.pf1.sheet {
  ul.skills-list {
    .scrollbar();
    overflow-x: hidden;
    list-style: none;
    margin: 0;
    padding: 0;
    border: var(--pf1-border-groove);
    border-radius: 3px;

    .skill {
      padding-left: 0.3em;

      &.sub-skill {
        padding-left: 2em;
      }
    }

    li {
      &.skill {
        display: grid;
        grid-template-columns: auto 24px 3em repeat(5, 4em) 40px;
        height: 2em;

        .itemBackground();

        .controls {
          display: inline-flex;

          // Custom skill controls
          &.custom {
            margin-left: 0.3em;
          }
        }

        &.untrained {
          .skill-name {
            color: rgba(0, 0, 0, 0.6);
          }

          .action.roll {
            >i {
              opacity: 60%;

              &:hover {
                animation: 0;
              }
            }
          }
        }

        .skill-name {
          display: inline-flex;
          font-size: var(--font-size-13);
          align-items: center;
          gap: 0.3em;

          h4,
          input[type="text"] {
            display: inline-block;
            margin: 0;
            white-space: nowrap;
            overflow: hidden;
          }

          h4 {
            flex: 1;

            // Remove inherited borders
            border: unset;
          }

          .compendium-icon {
            visibility: hidden;
            flex: 0 0 16px;
          }
        }

        &.compendium:hover {
          .compendium-icon {
            visibility: visible;
          }
        }

        .checkbox {
          font-size: var(--font-size-12);
        }

        .skill-ability {}

        .skill-mod {
          line-height: 1.5;
          font-weight: bold;
          text-align: center;
          border: 1px dotted #111;
          cursor: initial;
        }

        .skill-rank {
          border-bottom: var(--pf1-border-groove);

          &.placeholder {
            opacity: 0.6;
          }
        }

        input[type="text"] {
          height: auto;
        }
      }

      // Special case
      .control.skill-create {
        width: 1.5em;
        text-align: center;
      }
    }

    > .controls {
      // Mimic skill line stylings
      display: flex;
      height: 2em;
      padding-left: 0.3em;
    }

    .controls {
      align-items: center;

      .fas {
        width: 1.25em;
      }
    }
  }
}
